Bug 863768 - (mate-display-manager) Review Request: mate-display-manager - Displays login screen for MATE Desktop
Review Request: mate-display-manager - Displays login screen for MATE Desktop
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On: MATE-DE-tracker
  Show dependency treegraph
Reported: 2012-10-07 06:23 EDT by Dan Mashal
Modified: 2012-10-30 05:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-30 05:47:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2012-10-07 06:23:58 EDT
Spec URL: http://vicodan.fedorapeople.org/matespec/mate-display-manager.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-display-manager-1.4.0-1.fc17.src.rpm
Description: MATE Desktop display manager

successful scratch build:


NOTE2: I got this straight from Perberos (creator of MATE). This is not available upstream.

This package enables MATE to display a login screen without piggy backing on GDM, KDM or LXDM.
Comment 1 Michael Scherer 2012-10-07 09:09:16 EDT
Since the sourceurl is hosted on your fedorapeople account and you say this is not upstream, I assume there is no official tarball yet, and so this was generated straight from git.

I think the guideline ask for adding a comment on where the and how the source code was generated.


( ie "saying this was given by someone" is not a proper way to document it )
Comment 2 Dan Mashal 2012-10-07 14:14:59 EDT
This came from upstream. Do you want IRC logs? How would I prove it? Have you tried testing it?
Comment 3 Rex Dieter 2012-10-07 16:05:50 EDT
including a log of the conversation would help
Comment 4 Dan Mashal 2012-10-07 17:56:12 EDT
informational links:




Will create an attachment with irc conversation logs in a bit.
Comment 5 Wolfgang Ulbrich 2012-10-07 18:41:58 EDT
Sorry, there is no current official upstream source of mate-display-manager.
All releases are under http://pub.mate-desktop.org/releases/
You will find any git source under https://github.com/mate-desktop .
For your information mate-display-manager is droped since 1.4 release.
LinuxMint provide MDM, but this is a fork from gdm-2.20 and complete different.

best regards
Comment 6 Michael Scherer 2012-10-07 19:05:03 EDT
The main point of this guideline is to make sure we can reproduce the tarball if this was not published by upstream as such, either for auditing reason or to upgrade it. IE, the goal is to avoid having a bus factor of 1. 

So attaching irc logs or giving link to forums doesn't really fullfill this requirement. 

Either upstream publish it properly, or if they do not want because they consider this is not ready, then it should be marked as pre release software (  http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages ), and we should have a way to not what git rev is used, and how was the tarball created.
Comment 7 Jens Petersen 2012-10-09 22:07:35 EDT
Sure it would be good and preferred if there was a well-defined upstream
and official release for this package.  Unfortunately it seems not to be
the case right now.

I think if comments could be added to spec file explaining the situation
and origin of the source tarball, then this could not block the review
of this package per se?
Comment 8 Dan Mashal 2012-10-10 14:39:23 EDT
Holding off on this. Might use lightdm or mdm instead.

Note You need to log in before you can comment on or make changes to this bug.